<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>screenlets.ShapedWidget</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="screenlets-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            >Screenlets 0.1.2</th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="screenlets-module.html">Package&nbsp;screenlets</a> ::
        Class&nbsp;ShapedWidget
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
        <tr><td align="right"><span class="options"
            >[<a href="frames.html" target="_top">frames</a
            >]&nbsp;|&nbsp;<a href="screenlets.ShapedWidget-class.html"
            target="_top">no&nbsp;frames</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class ShapedWidget</h1><span class="codelink"><a href="screenlets-pysrc.html#ShapedWidget">source&nbsp;code</a></span><br /><br />
<pre class="base-tree">
        object --+                
                 |                
   gobject.GObject --+            
                     |            
            gtk.Object --+        
                         |        
        object --+       |        
                 |       |        
gobject.GInterface --+   |        
                     |   |        
  atk.ImplementorIface --+        
                         |        
        object --+       |        
                 |       |        
gobject.GInterface --+   |        
                     |   |        
         gtk.Buildable --+        
                         |        
                gtk.Widget --+    
                             |    
               gtk.DrawingArea --+
                                 |
                                <strong class="uidshort">ShapedWidget</strong>
</pre>

<hr />
A simple base-class for creating owner-drawn gtk-widgets<br /><br />

<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="screenlets.ShapedWidget-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">width</span>,
        <span class="summary-sig-arg">height</span>)</span><br />
      x.__init__(...) initializes x; see x.__class__.__doc__ for 
      signature</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets-pysrc.html#ShapedWidget.__init__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="update_shape"></a><span class="summary-sig-name">update_shape</span>(<span class="summary-sig-arg">self</span>)</span><br />
      update widget's shape (only call this when shape has changed)</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets-pysrc.html#ShapedWidget.update_shape">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="button_press"></a><span class="summary-sig-name">button_press</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">widget</span>,
        <span class="summary-sig-arg">event</span>)</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets-pysrc.html#ShapedWidget.button_press">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="button_release"></a><span class="summary-sig-name">button_release</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">widget</span>,
        <span class="summary-sig-arg">event</span>)</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets-pysrc.html#ShapedWidget.button_release">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="enter_notify"></a><span class="summary-sig-name">enter_notify</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">widget</span>,
        <span class="summary-sig-arg">event</span>)</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets-pysrc.html#ShapedWidget.enter_notify">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="leave_notify"></a><span class="summary-sig-name">leave_notify</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">widget</span>,
        <span class="summary-sig-arg">event</span>)</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets-pysrc.html#ShapedWidget.leave_notify">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="screenlets.ShapedWidget-class.html#draw" class="summary-sig-name">draw</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">ctx</span>)</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets-pysrc.html#ShapedWidget.draw">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="draw_shape"></a><span class="summary-sig-name">draw_shape</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">ctx</span>)</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets-pysrc.html#ShapedWidget.draw_shape">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="expose_event"></a><span class="summary-sig-name">expose_event</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">widget</span>,
        <span class="summary-sig-arg">event</span>)</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets-pysrc.html#ShapedWidget.expose_event">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code>gtk.DrawingArea</code></b>:
      <code>size</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>gtk.Widget</code></b>:
      <code>activate</code>,
      <code>add_accelerator</code>,
      <code>add_events</code>,
      <code>add_mnemonic_label</code>,
      <code>can_activate_accel</code>,
      <code>child_focus</code>,
      <code>child_notify</code>,
      <code>class_path</code>,
      <code>create_pango_context</code>,
      <code>create_pango_layout</code>,
      <code>destroy</code>,
      <code>do_button_press_event</code>,
      <code>do_button_release_event</code>,
      <code>do_can_activate_accel</code>,
      <code>do_client_event</code>,
      <code>do_composited_changed</code>,
      <code>do_configure_event</code>,
      <code>do_delete_event</code>,
      <code>do_destroy_event</code>,
      <code>do_direction_changed</code>,
      <code>do_drag_begin</code>,
      <code>do_drag_data_delete</code>,
      <code>do_drag_data_get</code>,
      <code>do_drag_data_received</code>,
      <code>do_drag_drop</code>,
      <code>do_drag_end</code>,
      <code>do_drag_leave</code>,
      <code>do_drag_motion</code>,
      <code>do_enter_notify_event</code>,
      <code>do_event</code>,
      <code>do_expose_event</code>,
      <code>do_focus</code>,
      <code>do_focus_in_event</code>,
      <code>do_focus_out_event</code>,
      <code>do_get_accessible</code>,
      <code>do_grab_broken_event</code>,
      <code>do_grab_focus</code>,
      <code>do_grab_notify</code>,
      <code>do_hide</code>,
      <code>do_hide_all</code>,
      <code>do_hierarchy_changed</code>,
      <code>do_key_press_event</code>,
      <code>do_key_release_event</code>,
      <code>do_leave_notify_event</code>,
      <code>do_map</code>,
      <code>do_map_event</code>,
      <code>do_mnemonic_activate</code>,
      <code>do_motion_notify_event</code>,
      <code>do_no_expose_event</code>,
      <code>do_parent_set</code>,
      <code>do_popup_menu</code>,
      <code>do_property_notify_event</code>,
      <code>do_proximity_in_event</code>,
      <code>do_proximity_out_event</code>,
      <code>do_realize</code>,
      <code>do_screen_changed</code>,
      <code>do_scroll_event</code>,
      <code>do_selection_clear_event</code>,
      <code>do_selection_get</code>,
      <code>do_selection_notify_event</code>,
      <code>do_selection_received</code>,
      <code>do_selection_request_event</code>,
      <code>do_show</code>,
      <code>do_show_all</code>,
      <code>do_show_help</code>,
      <code>do_size_allocate</code>,
      <code>do_size_request</code>,
      <code>do_state_changed</code>,
      <code>do_style_set</code>,
      <code>do_unmap</code>,
      <code>do_unmap_event</code>,
      <code>do_unrealize</code>,
      <code>do_visibility_notify_event</code>,
      <code>do_window_state_event</code>,
      <code>drag_begin</code>,
      <code>drag_check_threshold</code>,
      <code>drag_dest_add_image_targets</code>,
      <code>drag_dest_add_text_targets</code>,
      <code>drag_dest_add_uri_targets</code>,
      <code>drag_dest_find_target</code>,
      <code>drag_dest_get_target_list</code>,
      <code>drag_dest_get_track_motion</code>,
      <code>drag_dest_set</code>,
      <code>drag_dest_set_proxy</code>,
      <code>drag_dest_set_target_list</code>,
      <code>drag_dest_set_track_motion</code>,
      <code>drag_dest_unset</code>,
      <code>drag_get_data</code>,
      <code>drag_highlight</code>,
      <code>drag_source_add_image_targets</code>,
      <code>drag_source_add_text_targets</code>,
      <code>drag_source_add_uri_targets</code>,
      <code>drag_source_get_target_list</code>,
      <code>drag_source_set</code>,
      <code>drag_source_set_icon</code>,
      <code>drag_source_set_icon_name</code>,
      <code>drag_source_set_icon_pixbuf</code>,
      <code>drag_source_set_icon_stock</code>,
      <code>drag_source_set_target_list</code>,
      <code>drag_source_unset</code>,
      <code>drag_unhighlight</code>,
      <code>ensure_style</code>,
      <code>error_bell</code>,
      <code>event</code>,
      <code>freeze_child_notify</code>,
      <code>get_accessible</code>,
      <code>get_action</code>,
      <code>get_activate_signal</code>,
      <code>get_allocation</code>,
      <code>get_ancestor</code>,
      <code>get_child_requisition</code>,
      <code>get_child_visible</code>,
      <code>get_clipboard</code>,
      <code>get_colormap</code>,
      <code>get_composite_name</code>,
      <code>get_direction</code>,
      <code>get_display</code>,
      <code>get_events</code>,
      <code>get_extension_events</code>,
      <code>get_has_tooltip</code>,
      <code>get_modifier_style</code>,
      <code>get_name</code>,
      <code>get_no_show_all</code>,
      <code>get_pango_context</code>,
      <code>get_parent</code>,
      <code>get_parent_window</code>,
      <code>get_pointer</code>,
      <code>get_root_window</code>,
      <code>get_screen</code>,
      <code>get_settings</code>,
      <code>get_size_request</code>,
      <code>get_style</code>,
      <code>get_tooltip_markup</code>,
      <code>get_tooltip_text</code>,
      <code>get_tooltip_window</code>,
      <code>get_toplevel</code>,
      <code>get_visual</code>,
      <code>grab_add</code>,
      <code>grab_default</code>,
      <code>grab_focus</code>,
      <code>grab_remove</code>,
      <code>has_screen</code>,
      <code>hide</code>,
      <code>hide_all</code>,
      <code>hide_on_delete</code>,
      <code>input_shape_combine_mask</code>,
      <code>intersect</code>,
      <code>is_ancestor</code>,
      <code>is_composited</code>,
      <code>is_focus</code>,
      <code>keynav_failed</code>,
      <code>list_mnemonic_labels</code>,
      <code>map</code>,
      <code>menu_get_for_attach_widget</code>,
      <code>mnemonic_activate</code>,
      <code>modify_base</code>,
      <code>modify_bg</code>,
      <code>modify_cursor</code>,
      <code>modify_fg</code>,
      <code>modify_font</code>,
      <code>modify_style</code>,
      <code>modify_text</code>,
      <code>path</code>,
      <code>queue_clear</code>,
      <code>queue_clear_area</code>,
      <code>queue_draw</code>,
      <code>queue_draw_area</code>,
      <code>queue_resize</code>,
      <code>queue_resize_no_redraw</code>,
      <code>rc_get_style</code>,
      <code>realize</code>,
      <code>region_intersect</code>,
      <code>remove_accelerator</code>,
      <code>remove_mnemonic_label</code>,
      <code>render_icon</code>,
      <code>reparent</code>,
      <code>reset_rc_styles</code>,
      <code>reset_shapes</code>,
      <code>selection_add_target</code>,
      <code>selection_add_targets</code>,
      <code>selection_clear_targets</code>,
      <code>selection_convert</code>,
      <code>selection_owner_set</code>,
      <code>selection_remove_all</code>,
      <code>send_expose</code>,
      <code>set_accel_path</code>,
      <code>set_activate_signal</code>,
      <code>set_app_paintable</code>,
      <code>set_child_visible</code>,
      <code>set_colormap</code>,
      <code>set_composite_name</code>,
      <code>set_direction</code>,
      <code>set_double_buffered</code>,
      <code>set_events</code>,
      <code>set_extension_events</code>,
      <code>set_name</code>,
      <code>set_no_show_all</code>,
      <code>set_parent</code>,
      <code>set_parent_window</code>,
      <code>set_redraw_on_allocate</code>,
      <code>set_scroll_adjustments</code>,
      <code>set_sensitive</code>,
      <code>set_set_scroll_adjustments_signal</code>,
      <code>set_size_request</code>,
      <code>set_state</code>,
      <code>set_style</code>,
      <code>set_tooltip_markup</code>,
      <code>set_tooltip_text</code>,
      <code>set_tooltip_window</code>,
      <code>set_uposition</code>,
      <code>set_usize</code>,
      <code>shape_combine_mask</code>,
      <code>show</code>,
      <code>show_all</code>,
      <code>show_now</code>,
      <code>size_allocate</code>,
      <code>size_request</code>,
      <code>style_get_property</code>,
      <code>thaw_child_notify</code>,
      <code>translate_coordinates</code>,
      <code>trigger_tooltip_query</code>,
      <code>unmap</code>,
      <code>unparent</code>,
      <code>unrealize</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>gtk.Object</code></b>:
      <code>do_destroy</code>,
      <code>flags</code>,
      <code>remove_data</code>,
      <code>remove_no_notify</code>,
      <code>set_flags</code>,
      <code>unset_flags</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>gobject.GObject</code></b>:
      <code>__cmp__</code>,
      <code>__delattr__</code>,
      <code>__gdoc__</code>,
      <code>__gobject_init__</code>,
      <code>__hash__</code>,
      <code>__new__</code>,
      <code>__repr__</code>,
      <code>__setattr__</code>,
      <code>chain</code>,
      <code>connect</code>,
      <code>connect_after</code>,
      <code>connect_object</code>,
      <code>connect_object_after</code>,
      <code>disconnect</code>,
      <code>disconnect_by_func</code>,
      <code>emit</code>,
      <code>emit_stop_by_name</code>,
      <code>freeze_notify</code>,
      <code>get_data</code>,
      <code>get_properties</code>,
      <code>get_property</code>,
      <code>handler_block</code>,
      <code>handler_block_by_func</code>,
      <code>handler_disconnect</code>,
      <code>handler_is_connected</code>,
      <code>handler_unblock</code>,
      <code>handler_unblock_by_func</code>,
      <code>notify</code>,
      <code>props</code>,
      <code>set_data</code>,
      <code>set_properties</code>,
      <code>set_property</code>,
      <code>stop_emission</code>,
      <code>thaw_notify</code>,
      <code>weak_ref</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>atk.ImplementorIface</code></b>:
      <code>ref_accessible</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>gtk.Buildable</code></b>:
      <code>add_child</code>,
      <code>construct_child</code>,
      <code>do_add_child</code>,
      <code>do_construct_child</code>,
      <code>do_get_internal_child</code>,
      <code>do_parser_finished</code>,
      <code>do_set_name</code>,
      <code>get_internal_child</code>,
      <code>parser_finished</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
      <code>__getattribute__</code>,
      <code>__reduce__</code>,
      <code>__reduce_ex__</code>,
      <code>__str__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== CLASS VARIABLES ==================== -->
<a name="section-ClassVariables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Class Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-ClassVariables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="__widget"></a><span class="summary-name">__widget</span> = <code title="None">None</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="mouse_inside"></a><span class="summary-name">mouse_inside</span> = <code title="False">False</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="width"></a><span class="summary-name">width</span> = <code title="32">32</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="height"></a><span class="summary-name">height</span> = <code title="32">32</code>
    </td>
  </tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code>gtk.DrawingArea</code></b>:
      <code>__gtype__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== PROPERTIES ==================== -->
<a name="section-Properties"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Properties</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Properties"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code>gtk.Widget</code></b>:
      <code>allocation</code>,
      <code>name</code>,
      <code>parent</code>,
      <code>saved_state</code>,
      <code>state</code>,
      <code>style</code>,
      <code>window</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>gobject.GObject</code></b>:
      <code>__grefcount__</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
      <code>__class__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Method Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-MethodDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="__init__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">width</span>,
        <span class="sig-arg">height</span>)</span>
    <br /><em class="fname">(Constructor)</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="screenlets-pysrc.html#ShapedWidget.__init__">source&nbsp;code</a></span>&nbsp;
    </td>
  </table>
  
  x.__init__(...) initializes x; see x.__class__.__doc__ for 
  signature
  <dl class="fields">
    <dt>Overrides:
      gtk.DrawingArea.__init__
        <dd><em class="note">(inherited documentation)</em></dd>
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="draw"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">draw</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">ctx</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="screenlets-pysrc.html#ShapedWidget.draw">source&nbsp;code</a></span>&nbsp;
    </td>
  </table>
  
  
  <dl class="fields">
    <dt>Overrides:
      gtk.Widget.draw
    </dt>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="screenlets-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            >Screenlets 0.1.2</th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0beta1 on Wed Jun  4 18:52:57 2008
    </td>
    <td align="right" class="footer">
      <a href="http://epydoc.sourceforge.net">http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie()
  // -->
</script>
  
</body>
</html>
